FilterMap (Tomcat API Documentation)
Keywords: org.apache.catalina.deploy.FilterMap class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class FilterMap

    java.lang.Object
      org.apache.catalina.deploy.FilterMap

All Implemented Interfaces:
  java.io.Serializable

public class FilterMap
extends java.lang.Object
implements java.io.Serializable

Representation of a filter mapping for a web application, as represented in a `<filter-mapping>` element in the deployment descriptor. Each filter mapping must contain a filter name plus either a URL pattern or a servlet name.

Version:
  $Revision: 466608 $ $Date: 2006-10-21 17:10:15 -0600 (Sat, 21 Oct 2006) $
Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`static int` | `ERROR` The name of this filter to be executed when this mapping matches a particular request.
`static int` | `FORWARD`
`static int` | `FORWARD_ERROR`
`static int` | `INCLUDE`
`static int` | `INCLUDE_ERROR`
`static int` | `INCLUDE_ERROR_FORWARD`
`static int` | `INCLUDE_FORWARD`
`static int` | `REQUEST`
`static int` | `REQUEST_ERROR`
`static int` | `REQUEST_ERROR_FORWARD`
`static int` | `REQUEST_ERROR_FORWARD_INCLUDE`
`static int` | `REQUEST_ERROR_INCLUDE`
`static int` | `REQUEST_FORWARD`
`static int` | `REQUEST_FORWARD_INCLUDE`
`static int` | `REQUEST_INCLUDE`

Constructor Summary
`FilterMap()`

Method Summary
`int` | `getDispatcherMapping()`
`java.lang.String` | `getFilterName()`
`java.lang.String` | `getServletName()`
`java.lang.String` | `getURLPattern()`
`void` | `setDispatcher(java.lang.String dispatcherString)` This method will be used to set the current state of the FilterMap representing the state of when filters should be applied: ERROR FORWARD FORWARD_ERROR INCLUDE INCLUDE_ERROR INCLUDE_ERROR_FORWARD REQUEST REQUEST_ERROR REQUEST_ERROR_INCLUDE REQUEST_ERROR_FORWARD_INCLUDE REQUEST_INCLUDE REQUEST_FORWARD, REQUEST_FORWARD_INCLUDE
`void` | `setFilterName(java.lang.String filterName)`
`void` | `setServletName(java.lang.String servletName)`
`void` | `setURLPattern(java.lang.String urlPattern)`
`java.lang.String` | `toString()` Render a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERROR

    public static final int ERROR

  The name of this filter to be executed when this mapping matches a particular request.

  See Also:
    Constant Field Values

### FORWARD

    public static final int FORWARD

See Also:
  Constant Field Values

### FORWARD_ERROR

    public static final int FORWARD_ERROR

See Also:
  Constant Field Values

### INCLUDE

    public static final int INCLUDE

See Also:
  Constant Field Values

### INCLUDE_ERROR

    public static final int INCLUDE_ERROR

See Also:
  Constant Field Values

### INCLUDE_ERROR_FORWARD

    public static final int INCLUDE_ERROR_FORWARD

See Also:
  Constant Field Values

### INCLUDE_FORWARD

    public static final int INCLUDE_FORWARD

See Also:
  Constant Field Values

### REQUEST

    public static final int REQUEST

See Also:
  Constant Field Values

### REQUEST_ERROR

    public static final int REQUEST_ERROR

See Also:
  Constant Field Values

### REQUEST_ERROR_FORWARD

    public static final int REQUEST_ERROR_FORWARD

See Also:
  Constant Field Values

### REQUEST_ERROR_FORWARD_INCLUDE

    public static final int REQUEST_ERROR_FORWARD_INCLUDE

See Also:
  Constant Field Values

### REQUEST_ERROR_INCLUDE

    public static final int REQUEST_ERROR_INCLUDE

See Also:
  Constant Field Values

### REQUEST_FORWARD

    public static final int REQUEST_FORWARD

See Also:
  Constant Field Values

### REQUEST_INCLUDE

    public static final int REQUEST_INCLUDE

See Also:
  Constant Field Values

### REQUEST_FORWARD_INCLUDE

    public static final int REQUEST_FORWARD_INCLUDE

See Also:
  Constant Field Values

Constructor Detail

### FilterMap

    public FilterMap()

Method Detail

### getFilterName

    public java.lang.String getFilterName()

### setFilterName

    public void setFilterName(java.lang.String filterName)

### getServletName

    public java.lang.String getServletName()

### setServletName

    public void setServletName(java.lang.String servletName)

### getURLPattern

    public java.lang.String getURLPattern()

### setURLPattern

    public void setURLPattern(java.lang.String urlPattern)

### setDispatcher

    public void setDispatcher(java.lang.String dispatcherString)

  This method will be used to set the current state of the FilterMap representing the state of when filters should be applied: ERROR FORWARD FORWARD_ERROR INCLUDE INCLUDE_ERROR INCLUDE_ERROR_FORWARD REQUEST REQUEST_ERROR REQUEST_ERROR_INCLUDE REQUEST_ERROR_FORWARD_INCLUDE REQUEST_INCLUDE REQUEST_FORWARD, REQUEST_FORWARD_INCLUDE

### getDispatcherMapping

    public int getDispatcherMapping()

### toString

    public java.lang.String toString()

  Render a String representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.